Package org.opengis.cite.iso19142.util

# Class SOAPMessageConsumer

java.lang.Object
org.opengis.cite.iso19142.util.SOAPMessageConsumer

All Implemented Interfaces:
  `jakarta.ws.rs.ext.MessageBodyReader<jakarta.xml.soap.SOAPMessage>`

@Consumes("application/soap+xml") public class SOAPMessageConsumer extends Object implements jakarta.ws.rs.ext.MessageBodyReader<jakarta.xml.soap.SOAPMessage>
A W3C SOAP message consumer that converts an input stream to a `SOAPMessage` object. It is suitable for reading SOAP 1.2 entities (media type "application/soap+xml").

See Also:
  - RFC 3902: The "application/soap+xml" media type

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SOAPMessageConsumer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isReadable(Class<?> type, Type genericType, Annotation[] annotations, jakarta.ws.rs.core.MediaType mediaType)`
  `jakarta.xml.soap.SOAPMessage`
  `readFrom(Class<jakarta.xml.soap.SOAPMessage> type, Type genericType, Annotation[] annotations, jakarta.ws.rs.core.MediaType mediaType, jakarta.ws.rs.core.MultivaluedMap<String,String> httpHeaders, InputStream entityStream)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SOAPMessageConsumer

    public SOAPMessageConsumer()

- ## Method Details

  - ### isReadable

    public boolean isReadable(Class<?> type, Type genericType, Annotation[] annotations, jakarta.ws.rs.core.MediaType mediaType)
    Specified by:
      `isReadable` in interface `jakarta.ws.rs.ext.MessageBodyReader<jakarta.xml.soap.SOAPMessage>`

  - ### readFrom

    public jakarta.xml.soap.SOAPMessage readFrom(Class<jakarta.xml.soap.SOAPMessage> type, Type genericType, Annotation[] annotations, jakarta.ws.rs.core.MediaType mediaType, jakarta.ws.rs.core.MultivaluedMap<String,String> httpHeaders, InputStream entityStream) throws IOException, jakarta.ws.rs.WebApplicationException
    Specified by:
      `readFrom` in interface `jakarta.ws.rs.ext.MessageBodyReader<jakarta.xml.soap.SOAPMessage>`
    Throws:
      `IOException`
      `jakarta.ws.rs.WebApplicationException`